/************************************************************************
     File:        eventBox.h

     Author:     
                  Richard Yu Gu
 									Mike Gleicher, gleicher@cs.wisc.edu
    Modifier
                  Yu-Chi Lai, yu-chi@cs.wisc.edu
     
     Comment:     this class implements a very simple widget that responds to 
		              events the idea is to show how to handle events in fltk
  
     Platform:    Visio Studio.Net 2003
*************************************************************************/

#ifndef __EVENTBOX_H
#define __EVENTBOX_H
#include <FL/Fl_Box.H>

class EventBox: public Fl_Box
{
	public:
		// Constructor
		EventBox(int t, int l, int width, int height);
		// Event handler
		int handle(int e);
};

#endif